function[eveczell]=evecs(a,v,w,part)

%[eveczell]=evecs(a,v,w,part):
%a: every line of this matrix represents one! point of a triangle (face) 
%line number of a = number of faces of the given geometry
%v,w: starting in a these vectors (lines of v and w) specify the triangles (faces)
%part: partition of v and w, to create the small sub-areas
%eveczell: evecell{linenr of a,1} are matrices (variable length)X3
%where every line of this matrix represents a vector pointing to one of the subareas 
%of the macroscopic face specified by the linenr of a.
%evecell{linenr of a,2} are matrices (variable length)X1 specifying the size of the subareas.

for count=1:length(a)
evecs=eveccalc(a(count,:),v(count,:),w(count,:),part(count,:));

%  evecout=evecs(:,1:3);
 % halbout=evecs(:,4);
    
  %   eveczell{count,1}=evecout;
   %  eveczell{count,2}=halbout; 

  eveczell{count,1}=evecs(:,1:3);
  eveczell{count,2}=evecs(:,4);
end



function evec= eveccalc(az,vz,wz,partz)
  evec=az; 
  wp=wz/partz;
  vp=vz/partz;
  anzfl=(partz^2+partz)/2;
     for wk =1:partz
        for vk=1:partz-wk             
                 e=az+wp*(wk-0.5)+vp*(vk-0.5);
                 evec=cat(1,evec,e); 
        end
     end
     evec=cat(2,evec,ones(length (evec(:,1)),1)*norm(cross(vp,wp)));
     
     evecunten=az+wp*(1/3)+vp*(partz-2/3);
     for wk=2:partz
        e=az+wp*(wk-2/3)+vp*(partz-wk+1/3);       %Schwerpunkt des Dreieckes
        evecunten=cat(1,evecunten,e);
     end
     evecunten=cat(2,evecunten,ones(length(evecunten(:,1)),1)*0.5*norm(cross(vp,wp)));
     
     evec=cat(1,evec,evecunten);        
        help1=1+anzfl;
     evec=evec(2:help1,:);
     



